Package org.eclipse.lemminx.extensions.colors

## Class XMLColorsPlugin

- java.lang.Object
- - org.eclipse.lemminx.extensions.colors.XMLColorsPlugin

All Implemented Interfaces:
  `IXMLExtension`

    public class XMLColorsPlugin
    extends Object
    implements IXMLExtension

XML colors plugin. This plugin provides the capability to support color with 'xml.colors' settings. `"xml.colors": [ // XML colors applied for text node for android colors.xml files { "pattern": "/res/values/colors.xml", "expressions": [ { "path": "resources/color/text()" } ] }, // XML colors applied for @color attribute for another files { "pattern": "/my-colors.xml", "expressions": [ { "path": "@color" } ] } ]`

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLColorsPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doSave​(ISaveContext context)` Called when the Settings or a Document have been saved.
`XMLColorsSettings` `getColorsSettings()`
`void` `start​(org.eclipse.lsp4j.InitializeParams params, XMLExtensionsRegistry registry)` Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.
`void` `stop​(XMLExtensionsRegistry registry)` Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLColorsPlugin

    public XMLColorsPlugin()

### Method Detail

#### doSave

    public void doSave​(ISaveContext context)

Description copied from interface: `IXMLExtension`
Called when the Settings or a Document have been saved. context.getType() can be used to determine what type was saved. doSave is called on extension start up with a settings context to provide the xml settings to the extension.

Specified by:
  `doSave` in interface `IXMLExtension`

#### start

    public void start​(org.eclipse.lsp4j.InitializeParams params,
                      XMLExtensionsRegistry registry)

Description copied from interface: `IXMLExtension`
Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Specified by:
  `start` in interface `IXMLExtension`

#### stop

    public void stop​(XMLExtensionsRegistry registry)

Description copied from interface: `IXMLExtension`
Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Specified by:
  `stop` in interface `IXMLExtension`

#### getColorsSettings

    public XMLColorsSettings getColorsSettings()